/[gentoo-x86]/dev-python/PyQt4/ChangeLog
Gentoo

Diff of /dev-python/PyQt4/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.133 Revision 1.204
1# ChangeLog for dev-python/PyQt4 1# ChangeLog for dev-python/PyQt4
2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.133 2010/10/30 18:23:26 arfrever Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.204 2012/12/26 03:11:43 pesa Exp $
4
5*PyQt4-4.9.6-r1 (26 Dec 2012)
6
7 26 Dec 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.6-r1.ebuild,
8 metadata.xml:
9 EAPI=5 to be able to use slot operators in sip dependency. Sync USE flags with
10 pyside: rename assistant to help, add script and scripttools (bug 431460 by
11 Arfrever).
12
13*PyQt4-4.9.6 (10 Dec 2012)
14
15 10 Dec 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.6.ebuild:
16 Version bump, with some minor updates from qt overlay.
17
18 22 Nov 2012; Markus Meier <maekke@gentoo.org> PyQt4-4.9.4-r1.ebuild:
19 arm stable, bug #435074
20
21 28 Oct 2012; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.9.4.ebuild,
22 PyQt4-4.9.4-r1.ebuild:
23 Promote 4.9.4-r1 bugfix rel ebuild to stable. Drop old
24
25 28 Oct 2012; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.8.4.ebuild,
26 -PyQt4-4.9.1.ebuild:
27 Remove old
28
29*PyQt4-4.9.5 (05 Oct 2012)
30
31 05 Oct 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.5.ebuild:
32 Version bump
33
34 09 Sep 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.4.ebuild:
35 alpha/ia64/sparc stable wrt #429042
36
37*PyQt4-4.9.4-r1 (03 Sep 2012)
38
39 03 Sep 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4-r1.ebuild,
40 +files/PyQt4-4.9.4-pyuic-custom-widgets.patch:
41 Apply upstream patch to fix regression in pyuic's handling of custom widgets
42 (bug 431070 by Laurent Bachelier).
43
44 20 Aug 2012; Johannes Huber <johu@gentoo.org> PyQt4-4.9.4.ebuild:
45 Stable for x86, wrt bug #429042
46
47 11 Aug 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.4.ebuild:
48 Stable for amd64, wrt bug #429042
49
50 11 Aug 2012; Anthony G. Basile <blueness@gentoo.org> PyQt4-4.9.4.ebuild:
51 Stable ppc64, bug #429042
52
53 10 Aug 2012; Anthony G. Basile <blueness@gentoo.org> PyQt4-4.9.4.ebuild:
54 Stable ppc, bug #429042
55
56 09 Jul 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.1.ebuild:
57 ia64 stable
58
59 09 Jul 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.8.1.ebuild,
60 -files/PyQt4-4.6.1-configure-multilib.patch:
61 Remove old.
62
63 08 Jul 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.1.ebuild,
64 PyQt4-4.9.4.ebuild:
65 alpha/ia64/sparc stable wrt #412929
66
67*PyQt4-4.9.4 (02 Jul 2012)
68
69 02 Jul 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4.ebuild,
70 -PyQt4-4.9.3.ebuild:
71 Version bump.
72
73*PyQt4-4.9.3 (27 Jun 2012)
74
75 27 Jun 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.3.ebuild,
76 -PyQt4-4.9.2.ebuild:
77 Version bump.
78
79 23 Jun 2012; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.9.2.ebuild:
80 Raise dev-python/sip dependency to 4.13.3 thanks to Arfrever
81
82*PyQt4-4.9.2 (21 Jun 2012)
83
84 21 Jun 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.2.ebuild:
85 Version bump
86
87 14 Jun 2012; Ben de Groot <yngwin@gentoo.org> PyQt4-4.8.1.ebuild:
88 Destabling to ~ia64 because last available stable qt will be masked pending
89 removal
90
91 23 May 2012; Jeff Horelick <jdhore@gentoo.org> PyQt4-4.9.1.ebuild:
92 marked x86 per bug 412929
93
94 21 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
95 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
96 Inherit eutils.
97
98 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
99 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
100 Revert previous change.
101
102 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
103 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
104 Restrict python 3.1 to match dev-python/dbus-python.
105
106 13 May 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
107 Fix kde USE flag description (media-libs/phonon vs. media-sound/phonon).
108
109 04 May 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.9.1.ebuild:
110 Migrating dev-util/pkgconfig -> virtual/pkgconfig
111
112 24 Apr 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.1.ebuild:
113 Stable for amd64, wrt bug #412929
114
115 31 Mar 2012; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.4.ebuild:
116 Stable on alpha, bug #354033
117
118 07 Mar 2012; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.8.1.ebuild,
119 PyQt4-4.8.4.ebuild:
120 PyQt4-4.8 does not build with sip-4.13, bug 407291
121
122 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
123 Slightly improve the ewarn message in pkg_postinst().
124
125 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
126 Put qt as the primary herd in metadata.
127
128 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.4.ebuild:
129 Fix insecure RUNPATH in qpy/QtOpenGL, thanks to Steve L
130 <slong@rathaus.eclipse.co.uk> in bug #407281.
131
132 03 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
133 Switch to EAPI 4, add REQUIRED_USE.
134
135 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.1.ebuild,
136 PyQt4-4.8.4.ebuild:
137 Drop ~x86-fbsd because of unkeyworded dependencies.
138
139 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
140 Don't enable QtAssistant module because it was removed in qt-4.7 and we
141 already depend on 4.7.2 or later.
142
143 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.3.ebuild,
144 PyQt4-4.8.1.ebuild, PyQt4-4.8.4.ebuild:
145 Restrict pypy for older versions too.
146
147 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
148 Build QtTest module only with USE="X" because it needs QtGui (bug #348349).
149 Add build-time dep on pkgconfig with USE="dbus". Raise minimum required Qt
150 version.
151
152 20 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.7-r1.ebuild,
153 -PyQt4-4.8.1-r1.ebuild, -PyQt4-4.8.2.ebuild, -PyQt4-4.8.3.ebuild,
154 -PyQt4-4.8.5.ebuild, -PyQt4-4.8.6.ebuild, -PyQt4-4.9.ebuild,
155 -files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff,
156 -files/PyQt4-4.8.3-configure-multilib.patch, metadata.xml:
157 Add <upstream> tag to metadata. Cleanup old ebuilds and patches.
158
159 20 Feb 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.7.3.ebuild,
160 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.1.ebuild,
161 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild, PyQt4-4.8.4.ebuild,
162 PyQt4-4.8.5.ebuild, PyQt4-4.8.6.ebuild, PyQt4-4.9.1.ebuild, PyQt4-4.9.ebuild:
163 Fixing pypy restricts to actually work
164
165*PyQt4-4.9.1 (12 Feb 2012)
166
167 12 Feb 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.1.ebuild:
168 version bump
169
170 25 Jan 2012; Alex Alexander <wired@gentoo.org> PyQt4-4.9.ebuild:
171 builds with qt-opengl-4.8.0[egl], updated dep
172
173 27 Dec 2011; Maxim Koltsov <maksbotan@gentoo.org> PyQt4-4.9.ebuild:
174 Enable versioning of /usr/bin/pyuic4. Run eqmake4() in qpy/QtDBus directory.
175 Fixes backported from Progress Overlay. Patch by Arfrever.
176
177*PyQt4-4.9 (24 Dec 2011)
178
179 24 Dec 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.ebuild:
180 Version bump
181
182*PyQt4-4.8.6 (11 Nov 2011)
183
184 11 Nov 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.6.ebuild:
185 Version bump
186
187 24 Aug 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.5.ebuild:
188 Restrict PyPy ABIs. Avoid warnings about insecure runpaths (bug #376483).
189 Print useful warning in pkg_postinst(). Patch by Arfrever. Backported from
190 python overlay.
191
192*PyQt4-4.8.5 (19 Aug 2011)
193
194 19 Aug 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.5.ebuild:
195 Version bump
196
197 25 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.4.ebuild:
198 ppc/ppc64 stable wrt #374591
199
200 21 Jul 2011; Markus Meier <maekke@gentoo.org> PyQt4-4.8.4.ebuild:
201 x86 stable, bug #374591
202
203 13 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.3.ebuild:
204 ppc64 stable wrt #354033
205
206 10 Jul 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.4.ebuild:
207 Stable on amd64 wrt bug #374591
208
209 01 Jun 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.3.ebuild:
210 Marking PyQt4-4.8.3 ppc stable for bug 354033
211
212 09 May 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.3.ebuild:
213 Stable on amd64 wrt bug #354033
214
215 09 May 2011; Thomas Kahle <tomka@gentoo.org> PyQt4-4.8.3.ebuild:
216 x86 stable per bug 354033
217
218*PyQt4-4.8.4 (02 May 2011)
219
220 02 May 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
221 +PyQt4-4.8.4.ebuild:
222 Version bump.
223
224 26 Mar 2011; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.7.3.ebuild,
225 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild,
226 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild:
227 Adapt phonon dependency for package move
228
229 16 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.1.ebuild:
230 ppc64 stable wrt #349607
231
232 27 Feb 2011; Raúl Porcel <armin76@gentoo.org> PyQt4-4.8.1.ebuild:
233 ia64/sparc stable wrt #349607
234
235 27 Feb 2011; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.1.ebuild:
236 Stable on alpha, bug #349607
237
238 28 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
239 PyQt4-4.8.3.ebuild:
240 Update dependencies (bug #353053).
241
242*PyQt4-4.8.3 (25 Jan 2011)
243
244 25 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
245 +PyQt4-4.8.3.ebuild, +files/PyQt4-4.8.3-configure-multilib.patch:
246 Version bump.
247
248 16 Jan 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> PyQt4-4.8.1.ebuild:
249 x86 stable wrt bug #349607
250
251 07 Jan 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.1.ebuild:
252 Marking PyQt4-4.8.1 ppc stable for bug 349607
253
254 04 Jan 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.1.ebuild:
255 Stable on amd64 wrt bug #349607
256
257 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
258 PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.2.ebuild:
259 Require x11-libs/qt-opengl[-egl] until bug #344513 is fixed.
260
261*PyQt4-4.8.1-r1 (30 Dec 2010)
262
263 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
264 PyQt4-4.8.1.ebuild, +PyQt4-4.8.1-r1.ebuild:
265 Copy 4.8.1 to 4.8.1-r1. Delete "declarative" USE flag in 4.8.1.
266
267 25 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
268 PyQt4-4.8.2.ebuild:
269 Fix dependencies (bug #349672).
270
271*PyQt4-4.8.2 (24 Dec 2010)
272
273 24 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
274 +PyQt4-4.8.2.ebuild:
275 Version bump.
276
277 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
278 PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild:
279 Restrict Jython ABIs.
280
281 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
282 -files/PyQt4-4.5.4-qgraphicslinearlayout-fix.patch,
283 -files/configure-4.6.1.py.patch, -PyQt4-4.6.2.ebuild, -PyQt4-4.8.ebuild,
284 -files/configure.py.patch:
285 Delete.
286
287 06 Dec 2010; Alex Alexander <wired@gentoo.org> -PyQt4-4.5.4-r4.ebuild:
288 old, depends on qt 4.5
289
290 06 Nov 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.5.4-r4.ebuild,
291 PyQt4-4.6.2.ebuild, PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild,
292 PyQt4-4.8.ebuild, PyQt4-4.8.1.ebuild:
293 Remove HPPA keywording (bug #239441).
4 294
5*PyQt4-4.8.1 (30 Oct 2010) 295*PyQt4-4.8.1 (30 Oct 2010)
6 296
7 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org> 297 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
8 +PyQt4-4.8.1.ebuild: 298 +PyQt4-4.8.1.ebuild:
546*PyQt4-4.0_beta1 (05 May 2006) 836*PyQt4-4.0_beta1 (05 May 2006)
547 837
548 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml, 838 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml,
549 +PyQt4-4.0_beta1.ebuild: 839 +PyQt4-4.0_beta1.ebuild:
550 initial import, from bug #121554 840 initial import, from bug #121554
551

Legend:
Removed from v.1.133  
changed lines
  Added in v.1.204

  ViewVC Help
Powered by ViewVC 1.1.20